import { i as getRuntimeConfig } from "./io-CaVVH-CQ.js";
//#region src/gateway/server-model-catalog.ts
async function __resetModelCatalogCacheForTest() {
	const { resetModelCatalogCacheForTest } = await import("./model-catalog-B81kBr64.js");
	resetModelCatalogCacheForTest();
}
async function loadGatewayModelCatalog(params) {
	const { loadModelCatalog } = await import("./model-catalog-B81kBr64.js");
	return await loadModelCatalog({ config: (params?.getConfig ?? getRuntimeConfig)() });
}
//#endregion
export { loadGatewayModelCatalog as n, __resetModelCatalogCacheForTest as t };
